Vector BLF

Loading...
Searching...
No Matches
Vector::BLF::SingleByteSerialEvent Struct Referencefinal

`#include <SingleByteSerialEvent.h>`

## Public Member Functions
| SingleByteSerialEvent (const SingleByteSerialEvent &)=default
SingleByteSerialEvent & | operator= (const SingleByteSerialEvent &)=default
| SingleByteSerialEvent (SingleByteSerialEvent &&)=default
SingleByteSerialEvent & | operator= (SingleByteSerialEvent &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint8_t | byte {}

## Detailed Description

single byte serial event

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::SingleByteSerialEvent::calculateObjectSize | ( |  | ) | const
| virtual

Calculates the objectSize

Returns
  object size

## ◆ read()

void Vector::BLF::SingleByteSerialEvent::read | ( | AbstractFile & | is | ) |
| virtual

Read the data of this object

Parameters

  is | input stream

## ◆ write()

void Vector::BLF::SingleByteSerialEvent::write | ( | AbstractFile & | os | ) |
| virtual

Write the data of this object

Parameters

  os | output stream

## Member Data Documentation

## ◆ byte

uint8_t Vector::BLF::SingleByteSerialEvent::byte {}

single byte

The documentation for this struct was generated from the following files:

- SingleByteSerialEvent.h
- SingleByteSerialEvent.cpp